#
# spec file for package ipxrip (Version 0.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ipxrip
Copyright:    GPL
Group:        Networking/Daemons
Provides:     ipxripd 
Autoreqprov:  on
Version:      0.7
Release:      390
Summary:      IPX routing daemon
Source:       ipxripd-%{version}.tar.gz
Source1:      ipxrip.init
Source2:      rc.config.ipxrip
Patch:        ipxripd-%{version}.dif
Patch1:       ipxripd-%{version}-axp.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
This is a RIP/SAP daemon for Linux. You can turn your Linux machine
into an IPX router.

Authors:
--------
    Ales Dyrak <A.Dryak@sh.cvut.cz>
    Volker Lendecke <lendecke@namu01.gwdg.de>

SuSE series: n

%prep
%setup -n ipxripd
%patch
%patch1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/ipxrip
ln -sf ../../etc/init.d/ipxrip $RPM_BUILD_ROOT/usr/sbin/rcipxrip
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 ipx_ticks $RPM_BUILD_ROOT/etc/

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.ipxrip
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ipxrip"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/ipxrip

%postun
sbin/insserv etc/init.d/

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%doc README COPYING
%doc %{_mandir}/man?/*
/usr/sbin/*
%config /etc/init.d/*
%config(noreplace) /etc/ipx_ticks
/var/adm/fillup-templates/rc.config.ipxrip

%changelog -n ipxrip
* Tue Jul 24 2001 - cihlar@suse.cz
- fixed to compile on axp
* Fri Jun 29 2001 - cihlar@suse.cz
- clean up spec file
- added init script
- fixed includes
- fixed Copyright
- compile with RPM_OPT_FLAGS
- added BuildRoot
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Sat Mar 04 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 16 1998 - ro@suse.de
- ipxkern: use correct include for glibc
* Sat Oct 03 1998 - ro@suse.de
- ipxripd: dont include linux/ipx for glibc
- ipxd: moved initialisation of FILE* log_file into main
